# -*- coding: utf-8 -*-
from setuphelpers import *
import platform
import requests


def update_package():

    # Getting proxy informations from WAPT settings
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()

    # Initializing variables
    url_dl = "https://discord.com/api/download?platform=linux"

    bin_name = requests.head(url_dl, proxies=proxies).headers["Location"].rsplit("/", 1)[1]

    # Downloading latest binaries
    if isfile(bin_name):
        remove_file(bin_name)
    wget(url_dl, bin_name, proxies=proxies)

    # Checking version from file
    version = bin_name.split("-")[1].split(".deb")[0]

    # changing version of the package
    control.version = "%s-%s" % (version, control.version.split("-", 1)[-1])
    # control.set_software_version(version)
    control.save_control_to_wapt()
    print("Changing version to: %s in WAPT\\control" % control.version)
